Bug 919429 (gimp-dbp) - Review Request: gimp-dbp - David's Batch Processor for the Gimp
Summary: Review Request: gimp-dbp - David's Batch Processor for the Gimp
Keywords:
Status: CLOSED ERRATA
Alias: gimp-dbp
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-08 12:48 UTC by Palle Ravn
Modified: 2015-01-17 20:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-01 08:04:38 UTC
Type: ---
hdegoede: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Palle Ravn 2013-03-08 12:48:51 UTC
Spec URL: http://dbp.zom.dk/gimp-dbp.spec
SRPM URL: http://dbp.zom.dk/gimp-dbp-1.1.9-1.fc18.src.rpm

Description:
David's Batch Processor (DBP) is a simple batch processing plugin for the Gimp. It allows the user to automatically perform operations, such as re-size, on a collection of image files. Its main advantage is that the user does not have to learn a scripting language. Like the Gimp itself, DBP relies on a graphical interface.

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5094409

Fedora Account System Username: paller

This is my second package, see also https://bugzilla.redhat.com/show_bug.cgi?id=915337. I'm looking for a sponsor for both. I plan to add more of the software on the Fedora Design Packages WishList.

Other involvement:
I made an informal review of https://bugzilla.redhat.com/show_bug.cgi?id=909644.

Comment 1 Hans de Goede 2013-03-16 16:40:16 UTC
Hi Palle,

Palle I think that it is great that you're working on the Fedora Design Packages WishList, as such I would like to Sponsor you.

The first step is me reviewing this and your other package submission, then you do a new revision (assuming I'll have some remarks on my first reviews), and I will review the new revision. Rince-repeat until both packages you've submitted are approved.

And then once I'm happy with both packages I'll sponsor you and you can continue with the next steps of:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

I'll do a full review of the version you posted in comment 4 later tonight, and let you know what, if anything, needs to be fixed.

Regards,

Hans

Comment 2 Hans de Goede 2013-03-16 19:57:32 UTC
Hi,

Full review done:

Good:
- rpmlint checks return:
 3 packages and 0 specfiles checked; 0 errors, 0 warnings.
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv2+) OK, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Needs work:
- Just like with nmon, no COPYING.txt with the gpl text is included, please mail upstream asking them to fix this for the next release
- I don't see the need to remove the .png and empty messages.po, please remove this from %prep
- The %{_libdir}/gimp/2.0/plug-ins dir is owned by the gimp, so the %files section should not own it. Naming the dir in %files will own the dir and all files under it. Instead add the full plugin path to %files

Regards,

Hans

Comment 3 Palle Ravn 2013-03-18 09:41:33 UTC
(In reply to comment #2)
> Needs work:
> - Just like with nmon, no COPYING.txt with the gpl text is included, please
> mail upstream asking them to fix this for the next release

Doing that now.

> - I don't see the need to remove the .png and empty messages.po, please
> remove this from %prep

Included again.

> - The %{_libdir}/gimp/2.0/plug-ins dir is owned by the gimp, so the %files
> section should not own it. Naming the dir in %files will own the dir and all
> files under it. Instead add the full plugin path to %files

dbp appended to ../2.0/plug-ins/

New files:
Spec URL: http://dbp.zom.dk/gimp-dbp.spec
SRPM URL: http://dbp.zom.dk/gimp-dbp-1.1.9-2.fc18.src.rpm

rpmlint:
gimp-dbp-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dbp-1.1.9/gui.cc
gimp-dbp-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dbp-1.1.9/gui.h
gimp-dbp-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dbp-1.1.9/op.cc
gimp-dbp-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dbp-1.1.9/op.h
gimp-dbp-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dbp-1.1.9/gimpCall.h
gimp-dbp-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dbp-1.1.9/dbp.cc
gimp-dbp-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/dbp-1.1.9/gimpCall.cc
3 packages and 1 specfiles checked; 7 errors, 0 warnings.


koji:
https://koji.fedoraproject.org/koji/taskinfo?taskID=5135932

Regards Palle

Comment 4 Hans de Goede 2013-03-18 12:52:34 UTC
(In reply to comment #3)
> New files:
> Spec URL: http://dbp.zom.dk/gimp-dbp.spec
> SRPM URL: http://dbp.zom.dk/gimp-dbp-1.1.9-2.fc18.src.rpm

Looks good now, approved! One minor nitpick, in the ChangeLog you write:
- Include screenshots
- Include translation file

This may lead people to think that they are included in the binary packages,
which they are not, the only thing which changed is that they are no longer
being removed from the builddir in %prep.

Comment 5 Palle Ravn 2013-03-18 14:57:28 UTC
New Package SCM Request
=======================
Package Name: gimp-dbp
Short Description: Graphical batch processing for Gimp, no scripting knowledge required
Owners: paller
Branches: f17 f18 f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-03-18 15:08:29 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-03-19 11:44:05 UTC
gimp-dbp-1.1.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gimp-dbp-1.1.9-2.fc17

Comment 8 Fedora Update System 2013-03-19 11:44:14 UTC
gimp-dbp-1.1.9-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gimp-dbp-1.1.9-2.fc18

Comment 9 Fedora Update System 2013-03-20 21:30:28 UTC
gimp-dbp-1.1.9-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 10 Luya Tshimbalanga 2015-01-17 20:26:22 UTC
Package Change Request
======================
Package Name: 
New Branches: 
Owners: 
InitialCC: design-sw

Include this package as part of design-sw group


Note You need to log in before you can comment on or make changes to this bug.